Summary: Icarus Verilog
Name: icarus
%define momorel 1
Version: 20030810
Release: %{momorel}m
License: GPL
Group: Applications/Engineering
Source0: ftp://icarus.com/pub/eda/verilog/snapshots/verilog-%{version}.tar.gz
NoSource: 0
URL: http://www.icarus.com/eda/verilog/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gperf >= 2.7
BuildPreReq: bison
BuildPreReq: flex


# This provides tag allows me to use a more specific name for things
# that actually depend on me, Icarus Verilog.
# Provides: iverilog

%description
Icarus Verilog is a Verilog compiler that generates a variety of
engineering formats, including simulation. It strives to be true
to the IEEE-1364 standard.

%prep
%setup -q -n verilog-%{version}

%build
%configure
make
#make check
	
%install
%makeinstall

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README.txt BUGS.txt QUICK_START.txt ieee1364-notes.txt 
%doc mingw.txt netlist.txt t-dll.txt vpi.txt xnf.txt 
%doc tgt-fpga/fpga.txt xilinx-hint.txt
%doc examples
%{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*

%changelog
* Wed Aug 13 2003 Kikutani Makoto <poo@momonga-linux.org>
- (20030810-1m)
- new upstream version

* Sun Jul 13 2003 Kikutani Makoto <poo@momonga-linux.org>
- (20030705-1m)
- use snapshot

* Thu Dec 19 2002 Kikutani Makoto <poo@momonga-linux.org>
- (0.7-1m)
- new upstream version

* Sat Oct  5 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.6.1-2m)
- update to 0.6.1
- add BuildPreReq: gperf >= 2.7
- add BuildPreReq: bison
- add BuildPreReq: flex
- do self-tests at the end of build

* Sun Aug 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.6-2m)
- %clean
- cleanup spec file

* Tue Aug 6 2002 Kikutani Makoto <poo@momonga-linux.org>
- (0.6-1m)
- 1st Momonga version
